<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/usuario.php';
require '../../modelo/environment.php';
$response = array();

if (
    !isset($_POST['correo']) ||
    !isset($_POST['password'])
) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$correo = $_POST['correo'];
$password = $_POST['password'];

$usuario = Usuario::mdlLoginUsuarioByEmail($correo, $password);

if (!$usuario) {
    $response['response'] = 'error';
    $response['data'] = 'Correo o contraseña incorrectos.';
    echo json_encode($response);
    return;
}

unset($usuario['password']);

$id_usuario = Environment::encodeUser($usuario['id_usuario']);

$usuario['id_usuario'] = $id_usuario;

$usuario['foto_perfil'] = Environment::getUrlServidor() . $usuario['foto_perfil'];

$response['response'] = 'success';
$response['data'] = $usuario;

echo json_encode($response);
return;